Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class PauseNGo

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.PauseNGo

public class PauseNGo
extends Behavior

Wait for mouse click for `DELAY` ms, then execute `CMD` with argument `ARG`.

Version:
  $Revision: 1.2 $ $Date: 2002/01/16 03:54:28 $

Field Summary
`static java.lang.String` | `ATTR_ARG`
`static java.lang.String` | `ATTR_CMD`
`static java.lang.String` | `ATTR_DELAY`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`PauseNGo()`

Method Summary
`void` | `buildBefore(Document doc)` A round robin protocol, here traversing all behaviors from highest to lowest priority, during which main contributors of document content (called media adaptors) hack their content into the tree, and annotators set Marks to robust anchor to locations to hack in buildAfter so as not to disturb positioning by other annotations.
`void` | `destroy()` Protocol.
`boolean` | `eventBefore(java.awt.AWTEvent e, java.awt.Point rel, Node obsn)`
`void` | `go()`

Methods inherited from class multivalent.Behavior
`buildAfter, checkRep, clipboardAfter, clipboardBefore, createUI, eventAfter, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventAfter, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_DELAY

    public static final java.lang.String ATTR_DELAY

See Also:
  Constant Field Values

### ATTR_CMD

    public static final java.lang.String ATTR_CMD

See Also:
  Constant Field Values

### ATTR_ARG

    public static final java.lang.String ATTR_ARG

See Also:
  Constant Field Values

Constructor Detail

### PauseNGo

    public PauseNGo()

Method Detail

### buildBefore

    public void buildBefore(Document doc)

  Description copied from class: `Behavior`
  A round robin protocol, here traversing all behaviors from highest to lowest priority, during which main contributors of document content (called media adaptors) hack their content into the tree, and annotators set Marks to robust anchor to locations to hack in buildAfter so as not to disturb positioning by other annotations. That is, behaviors build the document tree by constructing nodes, which themselves are usually specialized for concrete document types. This protocol cannot be short-circuited.

  Overrides:
    `buildBefore` in class `Behavior`
  See Also:
    `Mark`

### eventBefore

    public boolean eventBefore(java.awt.AWTEvent e,
                               java.awt.Point rel,
                               Node obsn)

  Overrides:
    `eventBefore` in class `Behavior`
  See Also:
    `SemanticEvent`, `AWTEvent`, `Browser`, `LensMan`

### go

    public void go()

### destroy

    public void destroy()

  Description copied from class: `Behavior`
  Protocol. Cleans up state before being decommissioned: remove from Layer, observed nodes, .... Clients shouldn't hold a pointer/handle to object after destroy() as it is in an invalid state. This protocol cannot be short-circuited.

  Overrides:
    `destroy` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD